﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace OutlookSample
{
  public class Mails : List<Mail>
  {
    #region Porperties
    /// <summary>
    /// 
    /// </summary>
    private OutlookClient Client { get; set; }
    /// <summary>
    /// 
    /// </summary>
    private string ParentEntryID { get; set; }
    /// <summary>
    /// 
    /// </summary>
    private string ParentStoreID { get; set; }
    /// <summary>
    /// 
    /// </summary>
    private string ParentFilter { get; set; }
    #endregion

    #region Constructors
    /// <summary>
    /// 
    /// </summary>
    public Mails(OutlookClient client, string parentFolderID,
      string parentStoreID, string parentFilter)
    {
      this.Client = client;
      this.ParentEntryID = parentFolderID;
      this.ParentStoreID = parentStoreID;
      this.ParentFilter = parentFilter;
    }
    #endregion

    #region Methods
    /// <summary>
    /// 
    /// </summary>
    public void Refresh()
    {
      this.Clear();
      this.AddRange(this.Client.CreateMailsFromFolder(this.ParentEntryID,
        this.ParentStoreID, this.ParentFilter));
    }
    #endregion
  }
}
